-- version and date
local revision = tonumber(("$Revision: 46515 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2007-08-14 07:01:24 -0400 (Tue, 14 Aug 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- localisations
local L = AceLibrary("AceLocale-2.2"):new("ShakedownAnt")
L:RegisterTranslations("enUS", function() return {
    ["Antagonist"] = true,
} end)

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase, "AceEvent-2.0")

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "Antagonist", L["Antagonist"])
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- show the anchors
    Antagonist:ToggleAnchors()
    
    -- start the bars now
    self:Display()
    
    -- schedule a new test display a ever 5 seconds or so
    self:ScheduleRepeatingEvent("AntShakedownDisplay", self.Display, 5, self)
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)
    
    -- hide the anchors
    Antagonist:ToggleAnchors()

    -- stop display scheduling
    self:CancelScheduledEvent("AntShakedownDisplay")
end                      

function Addon.prototype:Display()

    -- start the bars using the internal test of antagonist
    Antagonist:RunTest()

end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()